@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&display=swap');

:root {
    --base-color: #26282b;
    --text-color: #ffffff;
    --primary-color: #34b92f;
    --secondary-color: #69e6b2;
    --color-1: #141518;
    --color-2: #0f121b;
    --color-3: #171a22;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-family: 'Jetbrains Mono', monospace;
    color: var(--text-color);
}

body {
    padding: 1em;
    background-color: var(--base-color);
}

nav {
    width: min(1000px, 100%);
}

nav ul {
    display: flex;
    align-items: center;
    list-style-type: none;
    gap: 2em;
}

nav li:first-child {
    margin-right: auto;
    font-family: 'Jetbrains Mono', monospace;
    font-weight: bold;
}

nav a {
    text-decoration: none;
    color: var(--text-color);
}

nav a:hover {
    text-decoration: underline;
}

header {
    margin: 2em auto;
    width: min(75em, 100%);
    background-color: var(--color-1);
    border-radius: 2rem;
}

.flex-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap;
    gap: 3em;
}

.text-container {
    font-size: 2em;
    margin-bottom: 1em;
}
.about-us,
.gimmis {
    display: flex;
    flex-direction: column;
    align-items: center;

    width: min(75em, 100%);

    padding: 2rem;

    text-align: center;

    background-color: var(--color-1);

    border-radius: 1rem;
}

.gimmis-button {
    display: inline-block;
    text-decoration: none;
    color: white;
    background-color: var(--primary-color);
    border-radius: .3em;
    padding: .75em 1.25em;
    margin: 2em;
    font-weight: 600;
}

.pixel-art {
    display: block;

    width: min(100%, 500px);
    height: auto;

    image-rendering: pixelated;
    image-rendering: crisp-edges;
}